%define oname   rbx-require-relative

Name:       ruby-%{oname}
Version:    0.0.9
Release:    %mkrel 2
Summary:    Fast Ruby debugger - core component
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Ruby 1.9's require_relative for Rubinius and MRI 1.8. We also add 
abs_path which is like __FILE__ but __FILE__ can be fooled by a sneaky 
"chdir" while abs_path can't. If you are running on Ruby 1.9 or greater, 
require_relative is the pre-defined version. The benefit we provide in 
this situation by this package is the ability to write the same 
require_relative sequence in Rubinius 1.8 and Ruby 1.9. 

%files
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}



%changelog

* Fri Feb 08 2013 fwang <fwang> 0.0.9-2.mga3
+ Revision: 396892
- rebuild for new rdoc

* Sun Jan 20 2013 dmorgan <dmorgan> 0.0.9-1.mga3
+ Revision: 390257
- imported package ruby-rbx-require-relative

